<template>
  <v-list dense nav shaped>
    <!-- simple  -->
    <v-list-item
      v-for="item in menuOptions.simpleItems"
      :key="item.title"
      :to="item.link"
      exact
    >
      <v-list-item-icon>
        <v-icon>
          {{ item.action }}
        </v-icon>
      </v-list-item-icon>

      <v-list-item-content>
        <v-list-item-title>
          {{ item.title }}
        </v-list-item-title>
      </v-list-item-content>
    </v-list-item>
    <!-- multiple  -->
    <v-list-group
      v-for="item in menuOptions.menuItem"
      :key="item.title"
      v-model="item.active"
      class="mt-2"
      :prepend-icon="item.action"
      no-action
    >
      <template v-slot:activator>
        <v-list-item-content>
          <v-list-item-title v-text="item.title"></v-list-item-title>
        </v-list-item-content>
      </template>

      <v-list-item
        v-for="subItem in item.items"
        :key="subItem.title"
        :to="localePath(subItem.link)"
      >
        <v-list-item-content>
          <v-list-item-title v-text="subItem.title"></v-list-item-title>
        </v-list-item-content>
      </v-list-item>
    </v-list-group>
    <!-- simple  -->
    <v-list-item
      v-for="item in menuOptions.extraDetail"
      :key="item.title"
      :to="localePath(item.link)"
      exact
    >
      <v-list-item-icon>
        <v-icon>
          {{ item.action }}
        </v-icon>
      </v-list-item-icon>

      <v-list-item-content>
        <v-list-item-title>
          {{ item.title }}
        </v-list-item-title>
      </v-list-item-content>
    </v-list-item>
  </v-list>
</template>

<script>
export default {
  name: 'MobileMenu',
  computed: {
    menuOptions() {
      return {
        simpleItems: [
          {
            title: this.$t('home'),
            action: 'mdi-home-variant-outline',
            link: '/',
          },
        ],
        extraDetail: [
          {
            title: this.$i18n.t('callUs'),
            action: 'mdi-phone-outline',
            link: '/contact',
          },
        ],
        menuItem: [
          {
            title: this.$i18n.t('products'),
            action: 'mdi-toolbox-outline',
            items: [
              {
                title: this.$i18n.t('menu.products.cms'),
                link: '/product/cms',
              },
              {
                title: this.$i18n.t('menu.products.waf'),
                link: '/product/htm',
              },
            ],
          },
          {
            title: this.$i18n.t('solutions'),
            action: 'mdi-lightbulb-on-outline',
            items: [
              {
                title: this.$i18n.t('menu.solutions.monitoring'),
                link: '/solutions/monitoring',
              },
              {
                title: this.$i18n.t('menu.solutions.vtp'),
                link: '/solutions/vtp',
              },
              {
                title: this.$i18n.t('menu.solutions.dba'),
                link: '/solutions/dba',
              },
            ],
          },
          {
            title: this.$i18n.tc('partners'),
            action: 'mdi-view-dashboard',
            items: [
              {
                title: this.$i18n.t('menu.partner.shahremohtava'),
                link: '/partners/shahremohtava',
              },
              {
                title: this.$i18n.t('menu.partner.eima'),
                link: '/partners/eima',
              },
              {
                title: this.$i18n.t('menu.partner.iraniancmp'),
                link: '/partners/iranian',
              },
            ],
          },
        ],
      };
    },
  },
};
</script>
<style lang="scss" scoped>
.v-btn {
  font-size: 18px;
}
.v-btn:before {
  display: none;
}
</style>
